Subject: Re: Nodes with no memory

From: Nathan Lynch <[email-masked]>
Date: Fri, 21 Nov 2008 18:49:56 -0600

Dave Hansen wrote:
> I was handed off a bug report about a blade not booting with a, um
> "newer" kernel.

If you're unable to provide basic information such as the kernel
version then perhaps this isn't the best forum for discussing this.  :)

> I'm thinking that we need to at least fix careful_allocation() to oops
> and not return NULL, or check to make sure all it callers check its
> return code.

Well, careful_allocation() in current mainline tries pretty hard to
panic if it can't satisfy the request.  Why isn't that happening?